Actualizar a la última versión estable de KDE en openSUSE 12.3

chameleon-bicycle

imagen vía cuteoverload

Los usuarios de openSUSE 12.3, que deseen beneficiarse de las actualizaciones mensuales de KDE (actualizaciones menores y dirigidas principalmente a corregir bugs), y disfrutar siempre de la ultima versión oficial de este escritorio, ya lo pueden hacer (a la hora de escribir esto, KDE 4.10.2).

Para ello, como siempre, lo primero que tenemos que hacer es deshabilitar o eliminar, cualquier repositorio que tenga que ver con KDE (KDE UpdatedAppsKDE Extra o KDE Unstable Playground)

kde

A continuación añadimos los siguientes repositorios

zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.3/  kde410core

y opcionalmente también podemos añadir:

  • KDE Extra
zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3/  kde410extra


kde1

  • Refrescamos los repositorios
zypper ref
  • Actualizamos la distribución desde los repos de KDE
zypper dup <code>--</code>from kde410core <code>--</code>from kde410extra

y finalmente reiniciamos el sistema.

16 thoughts on “Actualizar a la última versión estable de KDE en openSUSE 12.3”

  1. victorhck says:

    probando…

  2. victorhck says:

    caps sensitive…
    La línea final zypper dup –from KDE410core && KDE410Extra
    debería ser zypper dup –from kde410core && kde410Extra
    ya que así hemos nombrado al alias! 😉

    Me da fallo en K3B codecs… bueno pero tiro pa’lante!!

    1. tannhausser says:

      Corregido! Gracias por el apunte!
      Yo actualicé mientras hacia la entrada (y la comida, demasiadas cosas para mi cerebro xD, no me extraña el error), y en principio el único problema que tuve fue con un plasmoide (gmail-plasmoid).
      Curioso lo de K3B, hace unos años era uno de mis programas favoritos, incluso lo utilizaba en GNOME en vez de Brasero y ahora casi no lo uso (las pelis en disco duro, las imágenes iso en pendrive…ya tu sabes…)

    2. Alejandro D´iaz says:

      Lo del K3B codecs es un problema conocido, simplemente se trata de una versión que está por debajo de K3B que es el paquete principal , un problema de compatibilidad entre el reposisotio OSS y el Packman. En mi caso tengo ambos paquetes sincronizados con Packman.

  3. Gil says:

    Saludos cordiales. ¿Hay alguna mejora significativa?, ¿algún dolor de cabeza? ¿es netamente recomendable actualizar el entorno?… Lo pregunto por curiosidad ya que me da cierto ‘miedo’ tocar esto que está funcionando tan, tan bien. Realmente creo que las versiones del la rama 12 de openSUSE merecen la pena. HastaLuego!

    1. tannhausser says:

      Correcciones de bugs menores, nada demasiado significativo como tu dices. No es demasiado arriesgado el cambiar de versión, pero tampoco es imprescindible, si tu KDE funciona al 100% y tienes dudas no actualices, puedes esperar tranquilamente a la siguiente versión de openSUSE para KDE
      saludos!

  4. aldobelus says:

    A ver si me salvas! Estoy con problemas con la gráfica o algo parecido desde que instalé el 12.3. Me “aboné” a victorchk porque lo vi en identi.ca y mira, me ha traído hasta aquí. Cuando lo he visto se me ha encendido la pequeña luz de mi cabeza y creo que así podría quizá solucionarlo. Me trae de cabeza. Ya os contaré, morenos…
    Gracias tannhausser.
    Gracias victorhck.

  5. aldobelus says:

    Mis disculpas si me equivoco pero, ¿no hay que repetir la orden después de &&? Esto es:
    zypper dup –from kde410core && zypper dup –from kde410extra
    Cuando termina la actualización pregunta si “kde410extra” es typo, lo que quiere decir, como ya sabes, que no ha entendido la orden. Al repetir la orden completa lo hace bien. ¿Si?

    1. tannhausser says:

      Menos mal que me avisaste (esto me pasa por hacer los post contra reloj), hagamos así para no complicarnos
      zypper dup --from kde410core --from kde410extra
      and thanks por avisar
      🙂

      1. aldobelus says:

        Eres very welcome…no conocía esa forma de componer el comando. Pues hala! te devuelvo las gracias!

  6. Aojimasa says:

    Duda!

    Me da el siguiente mensaje:
    Las siguientes actualizaciones NO serán instaladas:
    branding-openSUSE gfxboot-branding-openSUSE gimp-branding-openSUSE grub2-branding-openSUSE k3b k3b-lang
    kdelibs4-branding-openSUSE kdm-branding-openSUSE ksplash-qml-branding-openSUSE
    ksplashx-branding-openSUSE plymouth-branding-openSUSE susegreeter-branding-openSUSE
    wallpaper-branding-openSUSE yast2-qt-branding-openSUSE

    Tiene problema?

    1. tannhausser says:

      No creo…es algo habitual, generalmente cuando aparece el mensaje de “las siguientes actualizaciones no serán instaladas” se debe a cuestiones relativas al origen del software y a las prioridades que tiene cada repositorio.

  7. Alejandro Díaz says:

    Buena la entrada, solo un comentario: siempre es importante al final hacer una nota aclaratoria sobre el problema de agregar repositorios de actualización no oficiales y los riesgos de inestabilidad en el sistema que pudiesen causar. ESTE TIPO DE REPOSITORIOS SOLO DEBEN SER USUDOS POR QUIENES PRESENTEN BUGS NO SOLUCIONADOS fácilmente. Si el sistema funciona bien, no se requieren.

    Fígese que si no es por que un lector no menciona la duda ud no aclara tal situación. Este es un error continuado en los foros y blogs de esta comunidad GNU/Linux, que en realidad es un problema de mercadeo y orden: escriben para los usuarios tradicionales y se olvidan que deberían hecerlo para los usuarios recién llegados o noveles, ya que ellos son quienes en su mayoría hacen las modificaciones a ojo cerrado en sus sistemas confiando en los redactores, luego se les ponen inestables sus OS y le hechan la cualpa a la distribución de ser mediocre.

    1. tannhausser says:

      Hola Alejandro! Tomo nota de tu sugerencia para futuros post, a veces es difícil encontrar el punto adecuado, en cuanto al tipo de público al que debe ir dirigido.
      Yendo un poco al fondo del tema, openSUSE es una de las distros que mejor se comportan a la hora de actualizar escritorios, y me parece que ello se ha convertido en una práctica habitual de muchos usuarios que buscan un posible mayor rendimiento o solucionar algun bug. (tampoco diría que el usuario medio de openSUSE sea un recien llegado a linux, por lo que veo habitualmente en los foros es una persona que ha usado otras distros antes y tiene cierta experiencia)
      Es cierto que los repos no son oficiales, pero el equipo que está detrás siempre se ha caracterizado por hacer un trabajo realmente bueno y estable.
      Un saludo y gracias por seguir el blog y comentar!

  8. edil says:

    hola buenas tardes,, soy totalmente nuevo en esto me encanto esto de que hay que hacer comentarios para gente nueva como yo que acaba de llegar por aca,, he usado ubunto, fedora, xubuntu , linux mint y me ha encantado open suse 12-2.. solo que tengo problemas con el escitorio que luego me aparecen arriba y abajo la barra de inicio, asi como tambien baje el audiacious y no abre lo quite,,no lo he vuelto a instalar,, pero si alguien sabe favor de ayudarme,,un umilde saludo desde mexico distrito federal

  9. edil says:

    perdon se me olvido decir que uso el escritorio kde y me falla mucho para configurarlo

Deja un comentario